Name:           perl-Test2-Tools-PerlCritic
Version:        0.04
Release:        4%{?dist}
Summary:        Testing tools to enforce Perl::Critic policies
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/Test2-Tools-PerlCritic
Source0:        https://cpan.metacpan.org/authors/id/P/PL/PLICEASE/Test2-Tools-PerlCritic-%{version}.tar.gz

BuildArch:      noarch
# build requirements
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter >= 5.20
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# runtime requirements
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(Perl::Critic)
BuildRequires:  perl(Perl::Critic::Utils)
BuildRequires:  perl(Ref::Util)
BuildRequires:  perl(Test2::API)
BuildRequires:  perl(base)
BuildRequires:  perl(experimental)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# test requirements
BuildRequires:  perl(Config)
BuildRequires:  perl(Perl::Critic::Policy)
BuildRequires:  perl(Test2::V0)
Requires:       perl(:MODULE_COMPAT_%(eval "`/usr/bin/perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
Test for Perl::Critic violations using Test2. Although this testing tool
uses the Test2 API instead of the older Test::Builder API, the primary
motivation is to provide output in a more useful form. That is policy
violations are grouped by policy class, and the policy class name is
clearly displayed as a diagnostic. The author finds the former more useful
because he tends to address one type of violation at a time. The author
finds the latter more useful because he tends to want to lookup or adjust
the configuration of the policy as he is addressing violations.

%prep
%setup -q -n Test2-Tools-PerlCritic-%{version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%{make_build} test

%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/Test2*
%{_mandir}/man3/Test2*

%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.04-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.04-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 23 2021 Jitka Plesnikova <jplesnik@redhat.com> - 0.04-2
- Perl 5.34 rebuild

* Sun Mar 28 2021 Emmanuel Seyman <emmanuel@seyman.fr> - 0.04-1
- Update to 0.04

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Oct 12 2020 Emmanuel Seyman <emmanuel@seyman.fr> - 0.03-2
- Take into account review feedback (#1887187)

* Sun Oct 11 2020 Emmanuel Seyman <emmanuel@seyman.fr> - 0.03-1
- Initial specfile, based on the one autogenerated by cpanspec 1.78.
